Loading...
Searching...
No Matches
Halide::Internal::ApplySplitResult Struct Reference

`#include <ApplySplit.h>`

## Public Types

enum | Type { Substitution = 0 , SubstitutionInCalls , SubstitutionInProvides , LetStmt , PredicateCalls , PredicateProvides , Predicate , BlendProvides }

## Public Member Functions

| ApplySplitResult (const std::string &n, Expr val, Type t)
| ApplySplitResult (Expr val, Type t=Predicate)

## Public Attributes

std::string | name
Expr | value
Type | type

## Detailed Description

Definition at line 21 of file ApplySplit.h.

## Member Enumeration Documentation

## Type

enum Halide::Internal::ApplySplitResult::Type

Enumerator
Substitution |
SubstitutionInCalls |
SubstitutionInProvides |
LetStmt |
PredicateCalls |
PredicateProvides |
Predicate |
BlendProvides |

Definition at line 33 of file ApplySplit.h.

## Constructor & Destructor Documentation

## ApplySplitResult() [1/2]

Halide::Internal::ApplySplitResult::ApplySplitResult | ( | const std::string & | n,
|  | Expr | val,
|  | Type | t )

inline

Definition at line 43 of file ApplySplit.h.

References name, type, and value.

## ApplySplitResult() [2/2]

Halide::Internal::ApplySplitResult::ApplySplitResult | ( | Expr | val,
|  | Type | t = Predicate )

inline

Definition at line 46 of file ApplySplit.h.

References name, Predicate, type, and value.

## Member Data Documentation

## name

std::string Halide::Internal::ApplySplitResult::name

Definition at line 30 of file ApplySplit.h.

Referenced by ApplySplitResult(), and ApplySplitResult().

## value

Expr Halide::Internal::ApplySplitResult::value

Definition at line 31 of file ApplySplit.h.

Referenced by ApplySplitResult(), and ApplySplitResult().

## type

Type Halide::Internal::ApplySplitResult::type

Definition at line 41 of file ApplySplit.h.

Referenced by ApplySplitResult(), and ApplySplitResult().

The documentation for this struct was generated from the following file:

- src/ApplySplit.h